Index: m_stats.c
===================================================================
RCS file: /cvsroot/ircd-hybrid-7/modules/m_stats.c,v
retrieving revision 1.107
diff -u -r1.107 m_stats.c
--- m_stats.c	7 Mar 2002 06:21:47 -0000	1.107
+++ m_stats.c	11 Apr 2002 17:24:58 -0000
@@ -634,17 +634,19 @@
       ptr = target_p->localClient->confs.head;
       aconf = ptr->data;
 
-      sendto_one(source_p, ":%s %d %s :[O][%s] %s (%s@%s) Idle: %d",
+      sendto_one(source_p, ":%s %d %s :[%c][%s] %s (%s@%s) Idle: %d",
                  me.name, RPL_STATSDEBUG, source_p->name,
+                 IsAdmin(target_p) ? 'A' : 'O',
 		 oper_privs_as_string(target_p, aconf->port),
 		 target_p->name, target_p->username, target_p->host,
 		 (int)(CurrentTime - target_p->user->last));
     }
     else
     {
-      sendto_one(source_p, ":%s %d %s :[O] %s (%s@%s) Idle: %d",
+      sendto_one(source_p, ":%s %d %s :[%c] %s (%s@%s) Idle: %d",
                  me.name, RPL_STATSDEBUG, source_p->name,
-		 target_p->name, target_p->username, target_p->host,
+                 IsAdmin(target_p) ? 'A' : 'O', target_p->name,
+                 target_p->username, target_p->host,
 		 (int)(CurrentTime - target_p->user->last));
     }
   }
